Package org.jcsp.net.settings

# Class Service

java.lang.Object
org.jcsp.net.settings.Service

public class Service extends Object
Used internally within the JCSP network infrastructure to represent a service.

Author:
  Quickstone Technologies Limited

## Constructor Summary

Constructors
Constructor
Description
`Service(String name, Class serviceClass, boolean run, int position)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addAddressSetting(AddressSetting setting)`
`void`
`addSetting(Setting setting)`
`boolean`
`equals(Object o)`
`AddressSetting`
`getAddressSetting(String name)`
`AddressSetting[]`
`getAddressSettings()`
`String`
`getName()`
`int`
`getPosition()`
`boolean`
`getRun()`
`Class`
`getServiceClass()`
`Setting`
`getSetting(String name)`
`Setting[]`
`getSettings()`
`int`
`hashCode()`
`void`
`removeAddressSetting(AddressSetting setting)`
`void`
`removeSetting(Setting setting)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Service

public Service(String name, Class serviceClass, boolean run, int position)

## Method Details

### addSetting

public void addSetting(Setting setting)

### removeSetting

public void removeSetting(Setting setting)

### getSettings

public Setting[] getSettings()

### getSetting

public Setting getSetting(String name)

### addAddressSetting

public void addAddressSetting(AddressSetting setting)

### removeAddressSetting

public void removeAddressSetting(AddressSetting setting)

### getAddressSettings

public AddressSetting[] getAddressSettings()

### getAddressSetting

public AddressSetting getAddressSetting(String name)

### getName

public String getName()

### getServiceClass

public Class getServiceClass()

### getRun

public boolean getRun()

### getPosition

public int getPosition()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`